<?php

// $sMethod = 'http://services.digg.com/1.0/endpoint?method=story.getHot';
$sMethod = 'http://services.digg.com/1.0/endpoint?method=story.getTop';
// $sMethod = 'http://services.digg.com/1.0/endpoint?method=story.getPopular';
// $sMethod = 'http://services.digg.com/1.0/endpoint?method=story.getUpcoming';

$sXmlSrc = getDiggStoriesXml($sMethod);

// Load the XML source
$xml = new DOMDocument;
$xml->loadXML($sXmlSrc);

// Load XSLT
$xsl = new DOMDocument;
$xsl->load('xslt/digg.xslt');

// Configure the transformer
$proc = new XSLTProcessor;
$proc->importStyleSheet($xsl); // attach the xsl rules

echo '<link media="all" href="css/styles.css" type="text/css" rel="stylesheet">';
echo $proc->transformToXML($xml);


// this function get digg information using caching (not more 1 times per minute)
function getDiggStoriesXml($sUrl = 'http://services.digg.com/1.0/endpoint?method=story.getPopular') {
    // used cache folder
    $sCacheFolder = 'cache/';

    // formatting cache name
    $sFilename = date("YmdHi").'.xml';

    if (! file_exists($sCacheFolder.$sFilename)) {
        //grab the XML and save it to a temp XML file
        $ch = curl_init($sUrl);
        $fp = fopen($sCacheFolder.$sFilename, "w");
        curl_setopt($ch, CURLOPT_FILE, $fp);
        curl_setopt($ch, CURLOPT_HEADER, 0);
        curl_setopt($ch, CURLOPT_HTTPHEADER, Array("User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.15) Gecko/20080623 Firefox/2.0.0.15") ); // makes our request look like it was made by Firefox
        curl_exec($ch);
        curl_close($ch);
        fclose($fp);
    }
    return file_get_contents($sCacheFolder.$sFilename);
}

require_once('footer.html');

?> 